Get one submission
One submission, with the animals the applicant picked, who decided on it by name, who it is assigned to, and the labels its form’s questions have today. Needs read on the area of the form’s kind; one your key may not read answers 404.
GET
https://{organization}.rescueconsole.com
/
api
/
forms
/
submissions
/
{id}
Get one submission
curl --request GET \
--url https://{organization}.rescueconsole.com/api/forms/submissions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/forms/submissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/forms/submissions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"submission": {
"id": "<string>",
"form_id": "<string>",
"answers": {},
"status": "new",
"submitted_at": "2023-11-07T05:31:56Z",
"animal_ids": [
"<string>"
],
"submitter_name": "<string>",
"submitter_email": "<string>",
"notes": "<string>",
"reviewed_by_person_id": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"converted_to_type": "<string>",
"converted_to_id": "<string>",
"converted_how": "created",
"verification_state": "not_required",
"verification_sent_at": "2023-11-07T05:31:56Z",
"verification_verified_at": "2023-11-07T05:31:56Z",
"decision": "approved",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by_person_id": "<string>",
"decision_note": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"hold_reason": "<string>",
"application_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"form_title": "<string>",
"form_slug": "<string>",
"form_kind": "adoption_application",
"application_status": "<string>",
"application_stage": "<string>",
"application_stage_label": "<string>",
"assignees": [
{
"person_id": "<string>",
"name": "<string>"
}
],
"links": [
{
"id": "<string>",
"entity_type": "person",
"entity_id": "<string>",
"entity_label": "<string>",
"added_by_person_id": "<string>",
"created_at": "<string>"
}
],
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "dog"
}
],
"decided_by_name": "<string>"
},
"fields": [
{
"field_key": "<string>",
"label": "<string>"
}
],
"can_write": true,
"can_decide": true,
"uploads": [
{
"id": "<string>",
"field_key": "<string>",
"filename": "<string>",
"content_type": "<string>",
"bytes": 123,
"document_id": "<string>"
}
],
"surrender": {
"status": "accepted",
"note": "<string>",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by_name": "<string>",
"animal_id": "<string>",
"adoption_id": "<string>",
"returning": [
{
"adoption_id": "<string>",
"animal_id": "<string>",
"animal_name": "<string>",
"adopted_on": "2023-12-25",
"adopter_name": "<string>",
"matched_by": [
"microchip"
]
}
],
"can_accept": true,
"steps_first": [
{
"title": "<string>",
"workflow_name": "<string>"
}
],
"share_consent": true,
"share": {
"id": "<string>",
"audience": "partners",
"status": "open",
"shared_at": "2023-11-07T05:31:56Z",
"reached": 123,
"taken_by_org_name": "<string>",
"taken_at": "2023-11-07T05:31:56Z",
"priority_until": "2023-11-07T05:31:56Z",
"priority_org_name": "<string>"
}
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Response
The submission.
⌘I
Get one submission
curl --request GET \
--url https://{organization}.rescueconsole.com/api/forms/submissions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/forms/submissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/forms/submissions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"submission": {
"id": "<string>",
"form_id": "<string>",
"answers": {},
"status": "new",
"submitted_at": "2023-11-07T05:31:56Z",
"animal_ids": [
"<string>"
],
"submitter_name": "<string>",
"submitter_email": "<string>",
"notes": "<string>",
"reviewed_by_person_id": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"converted_to_type": "<string>",
"converted_to_id": "<string>",
"converted_how": "created",
"verification_state": "not_required",
"verification_sent_at": "2023-11-07T05:31:56Z",
"verification_verified_at": "2023-11-07T05:31:56Z",
"decision": "approved",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by_person_id": "<string>",
"decision_note": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"hold_reason": "<string>",
"application_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"form_title": "<string>",
"form_slug": "<string>",
"form_kind": "adoption_application",
"application_status": "<string>",
"application_stage": "<string>",
"application_stage_label": "<string>",
"assignees": [
{
"person_id": "<string>",
"name": "<string>"
}
],
"links": [
{
"id": "<string>",
"entity_type": "person",
"entity_id": "<string>",
"entity_label": "<string>",
"added_by_person_id": "<string>",
"created_at": "<string>"
}
],
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "dog"
}
],
"decided_by_name": "<string>"
},
"fields": [
{
"field_key": "<string>",
"label": "<string>"
}
],
"can_write": true,
"can_decide": true,
"uploads": [
{
"id": "<string>",
"field_key": "<string>",
"filename": "<string>",
"content_type": "<string>",
"bytes": 123,
"document_id": "<string>"
}
],
"surrender": {
"status": "accepted",
"note": "<string>",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by_name": "<string>",
"animal_id": "<string>",
"adoption_id": "<string>",
"returning": [
{
"adoption_id": "<string>",
"animal_id": "<string>",
"animal_name": "<string>",
"adopted_on": "2023-12-25",
"adopter_name": "<string>",
"matched_by": [
"microchip"
]
}
],
"can_accept": true,
"steps_first": [
{
"title": "<string>",
"workflow_name": "<string>"
}
],
"share_consent": true,
"share": {
"id": "<string>",
"audience": "partners",
"status": "open",
"shared_at": "2023-11-07T05:31:56Z",
"reached": 123,
"taken_by_org_name": "<string>",
"taken_at": "2023-11-07T05:31:56Z",
"priority_until": "2023-11-07T05:31:56Z",
"priority_org_name": "<string>"
}
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
